Bug 61955 - configure failure: ORBit include files not detected
configure failure: ORBit include files not detected
Product: Red Hat Raw Hide
Classification: Retired
Component: xmms (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2002-03-26 02:54 EST by Hans Ecke
Modified: 2014-03-16 22:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-26 02:54:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hans Ecke 2002-03-26 02:54:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0; Linux; en_US, en)

Description of problem:
The more recent (rawhide) ORBit-devel packages have include files like orb/orbit.h in /usr/include/orbit-x.x instead of /usr/include. 

The configure script does not find those include files. As a result the 'gnomexmms' applet can not be build.

The rpm build script stops when it can not find the gnomexmms applet.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. cd /usr/src/redhat/SPECS
2. rpm -bb xmms.spec
3. wait for error message
4. go to /usr/src/redhat/BUILD/xmms-1.2.7
5. read config.log, search for 'applet-widget.h'

Actual Results:  applet-widget.h needs orb/orbit.h and others which are not found. configure thinks applet-widget.h is not available as a result and does not build anything gnome-related.

Expected Results:  include path should have been adjusted

Additional info:

Actually, the configure script checks /usr/bin/orbit-config and reads the CFLAGS and LIBS from that script. However, it fails to adjust its own internal CPPFLAGS, CFLAGS and CPP_FLAGS variables with the CFLAGS obtained from orbit-config.

The correct fix would be to adjust the configure script. Should be very easy. Look for the place where we call 'orbit-config' and append its output to CFLAGS, CPPFLAGS and CPP_FLAGS.
Comment 1 Bill Nottingham 2002-06-12 02:08:58 EDT
Fixed in rawhide; we aren't building the applet anymore since it's not ported to

Note You need to log in before you can comment on or make changes to this bug.